[![Build Status](https://travis-ci.com/ansible/galaxy.svg?branch=devel)](https://travis-ci.com/ansible/galaxy)

# Ansible Galaxy

This is the source code behind Galaxy - https://galaxy.ansible.com.

For help using the public Galaxy web site to find and install Ansible content, or to share your Ansible content with the community, [visit the Galaxy docs site](https://galaxy.ansible.com/docs/). 

## Installing

**NOTE:** Our installation guide is out of date. The old installer does not work with the latest architectural changes introduced in v3.0, and has since been removed from the devel branch. (The previously provided docker image was intended to be used by the old installer, and henceforth that image is now considered deprecated.  Our updated [contributing guide](./CONTRIBUTING.rst) now walks you through creating your own docker image) 

**Local Install:** If you want to run Ansible Galaxy locally, follow our contributing guide: [contributing guide](./CONTRIBUTING.rst)

## Roadmap

To see what we're working on, and where we're headed, view the [road map](./ROADMAP.md)

## Change Log 

To view a release history and what changed, [view our change log](./CHANGELOG.rst)

## Announcements

For the [galaxy.ansible.com](https://galaxy.ansible.com) site, get alerted when maintenance windows are scheduled, or when a release is scheduled to deploy, by subscribing to the [ansible-project](https://groups.google.com/group/ansible-project) Google group.

## Contributing

 * If you're interested in jumping in and helping out, view the [contributing guide](./CONTRIBUTING.rst).
 * Chat with us on irc.freenode.net: #ansible-galaxy

## Branch Information

 * Releases are named after Daft Punk songs. 
 * The *devel* branch is the release actively under development.
 * The *master* branch corresponds to the latest stable release.
 * Submit pull requests for bug fixes and new features to *devel*.
 * Various [release/X.Y.Z branches exist for previous releases](https://github.com/ansible/galaxy/tags).
 * Contributors welcome! Get started by reviewing [CONTRIBUTING.rst](./CONTRIBUTING.rst).

## Authors

View [AUTHORS](./AUTHORS) for a list contributors to Ansible Galaxy. Thanks everyone!

Ansible Galaxy is an [Ansible by Red Hat](https://ansible.com) sponsored project.
